<bugID>1211928<Summary>Make the keyframes editable in the animation-inspector</Summary><Description>Bug 1197100 adds a keyframes diagram to the animation-inspector that displays all keyframes in an animation on a line.

If the animation is a CSSAnimation, then we should be able to modify it by adding keyframes, removing keyframes or editing the position of a keyframe.

For CSSTransition we shouldn't be able to obviously.

For element.animate() animations, I'm not too sure because although for CSSAnimations we can modify the CSS by adding code to it and giving it back to the user via the devtools, I don't see how we could do this for script generated animations.
We could still modify the running animation by using the web animations API, but this modification would only live in the browser and be lost on page reload.</Description></bugID>